Package com.google.javascript.jscomp

# Class DefaultPassConfig

java.lang.Object
com.google.javascript.jscomp.PassConfig
com.google.javascript.jscomp.DefaultPassConfig

public class DefaultPassConfig extends PassConfig
Pass factories and meta-data for native JSCompiler passes.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.google.javascript.jscomp.PassConfig

`PassConfig.State`

## Constructor Summary

Constructors
Constructor
Description
`DefaultPassConfig(CompilerOptions options)`

## Method Summary

Modifier and Type
Method
Description
`protected List<PassFactory>`
`getChecks()`
Gets the checking passes to run.
`protected PassConfig.State`
`getIntermediateState()`
Get intermediate state for a running pass config, so it can be paused and started again later.
`protected List<PassFactory>`
`getOptimizations()`
Gets the optimization passes to run.
`protected void`
`setIntermediateState(PassConfig.State state)`
Set the intermediate state for a pass config, to restart a compilation process that had been previously paused.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultPassConfig

public DefaultPassConfig(CompilerOptions options)

## Method Details

### getIntermediateState

protected PassConfig.State getIntermediateState()
Description copied from class: `PassConfig`
Get intermediate state for a running pass config, so it can be paused and started again later.

Specified by:
  `getIntermediateState` in class `PassConfig`

### setIntermediateState

protected void setIntermediateState(PassConfig.State state)
Description copied from class: `PassConfig`
Set the intermediate state for a pass config, to restart a compilation process that had been previously paused.

Specified by:
  `setIntermediateState` in class `PassConfig`

### getChecks

protected List<PassFactory> getChecks()
Description copied from class: `PassConfig`
Gets the checking passes to run. Checking passes revolve around emitting warnings and errors. They also may include pre-processor passes needed to do error analysis more effectively. Clients that only want to analyze code (like IDEs) and not emit code will only run checks and not optimizations.

Specified by:
  `getChecks` in class `PassConfig`

### getOptimizations

protected List<PassFactory> getOptimizations()
Description copied from class: `PassConfig`
Gets the optimization passes to run. Optimization passes revolve around producing smaller and faster code. They should always run after checking passes.

Specified by:
  `getOptimizations` in class `PassConfig`